Index: /palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 218)
@@ -1295,10 +1633,10 @@
 
                   if ( sort .eq. "layer" ) then
-                     if ( data&x(li) .eq. -1 ) then
+                     if ( x_d(li) .eq. -1 ) then
                         level = "-average"
                      else 
-                        level = "=" + data&x(li) + "m"
+                        level = "=" + x_d(li) + "m"
                      end if
-                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "s  x"+ level
+                     cs_res@gsnCenterString = "t=" + decimalPlaces(t_all(lo)/3600,2,True) + "h  x"+ level
                      plot(n) = gsn_csm_contour(wks_ps,data(varn,lo,:,:,li),cs_res)
                      if (vector .EQ. 1 .AND. check_vecp)then
@@ -1312,10 +1650,10 @@
   			vecres@gsnLeftString    = " "             ; turn off left string
   			vecres@tiXAxisString    = " "   
-                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,li,:,:),vect2(lo,li,:,:),vecres)
+                        plot_vec=gsn_csm_vector(wks_ps,vect1(lo,:,:,li),vect2(lo,:,:,li),vecres)
                         overlay(plot(n), plot_vec)
                      end if 
                   end if
                end if	      
-               n=n+1   
+               n=n+1  
             end do 	
          end do  
@@ -1334,13 +1672,13 @@
          print(" ")
       else
-         do np = 0,no_layer*no_time*(no_var+1)-1,no_lines*no_columns   
-            if ( np + no_lines*no_columns .gt. (no_layer*no_time*(no_var+1))-1) then 
-               gsn_panel(wks_ps, plot(np:(no_layer*no_time*(no_var+1))-1),(/no_lines,no_columns/),cs_resP)
+         do np = 0,no_layer*no_time*(no_var+1)-1,no_rows*no_columns   
+            if ( np + no_rows*no_columns .gt. (no_layer*no_time*(no_var+1))-1) then 
+               gsn_panel(wks_ps, plot(np:(no_layer*no_time*(no_var+1))-1),(/no_rows,no_columns/),cs_resP)
             else
-               gsn_panel(wks_ps, plot(np:np+no_lines*no_columns-1),(/no_lines,no_columns/),cs_resP)
+               gsn_panel(wks_ps, plot(np:np+no_rows*no_columns-1),(/no_rows,no_columns/),cs_resP)
             end if
          end do
       end if
-   else          
+   else        
       if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
          gsn_panel(wks_ps,plot(0:(no_time*no_layer*no_var)-1),(/no_var,no_layer*no_time/),cs_resP)
@@ -1349,9 +1687,9 @@
          print(" ")
       else
-         do np = 0,no_layer*no_time*no_var-1,no_lines*no_columns   
-            if ( np + no_lines*no_columns .gt. (no_layer*no_time*no_var)-1) then
-               gsn_panel(wks_ps, plot(np:(no_layer*no_time*no_var)-1),(/no_lines,no_columns/),cs_resP)
+         do np = 0,no_layer*no_time*no_var-1,no_rows*no_columns   
+            if ( np + no_rows*no_columns .gt. (no_layer*no_time*no_var)-1) then
+               gsn_panel(wks_ps, plot(np:(no_layer*no_time*no_var)-1),(/no_rows,no_columns/),cs_resP)
             else
-               gsn_panel(wks_ps, plot(np:np+no_lines*no_columns-1),(/no_lines,no_columns/),cs_resP)
+               gsn_panel(wks_ps, plot(np:np+no_rows*no_columns-1),(/no_rows,no_columns/),cs_resP)
             end if
          end do
